    Display a component of the source expression in the image viewer.

image_source_component(id, model=None, newframe=False, tile=False)
id - int or str, optional
model - str or sherpa.models.model.Model instance
newframe - bool, optional
tile - bool, optional

This function evaluates and displays a component of the model expression for a data set, without any instrument response. Use `image_model_component` to include any response.

The image viewer is automatically started if it is not already open.

Display the full source model and then just the 'gsrc' component for the default data set:

>>> image_source() >>> image_source_component(gsrc)

Display the 'clus' and 'bgnd' components of the model for the 'img' data set side by side:

>>> image_source_component('img', 'clus') >>> image_source_component('img', 'bgnd', newframe=True, ... tile=True)

PARAMETERS

The parameters for this function are:

Parameter
Definition
id
The data set. If not given then the default identifier is used, as returned by `get_default_id` .
model
The component to display (the name, if a string).
newframe
Create a new frame for the data? If False , the default, then the data will be displayed in the current frame.
tile
Should the frames be tiles? If False , the default, then only a single frame is displayed.

Notes

The function does not follow the normal Python standards for parameter use, since it is designed for easy interactive use. When called with a single un-named argument, it is taken to be the `model` parameter. If given two un-named arguments, then they are interpreted as the `id` and `model` parameters, respectively.

Image visualization is optional, and provided by the DS9 application.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023